### Method

# Gtk Picture set_file

#### Declaration [src]

    void
    gtk_picture_set_file (
      GtkPicture* self,
      GFile* file
    )

#### Description [src]

Makes `self` load and display `file`.

See `gtk_picture_new_for_file()` for details.

Warning

Note that this function should not be used with untrusted data. Use a proper image loading framework such as libglycin, which can load many image formats into a `GdkTexture`, and then use `gtk_image_set_from_paintable()`.

Sets property | `Gtk.Picture:file`

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.